#!/bin/sh

function printHelpAndExit()
{
	printf "\nFehlermeldung von $(basename $0:)\n"
	printf "\nBitte als Parameter die IP oder den Namen des Servers angeben."
	printf "\nIn den meisten Fllen wird das 'localhost' sein."
	printf "\n\nDas Programm wird beendet.\n\n";
	exit 0
}

# Parameter prfen
[ -z "$1" ] && printHelpAndExit

# in das Verzeichnis von diesem Skript wechseln
cd $(dirname $0)

# den Server starten
java -Djava.security.policy=java.policy_Server -Dlog.profile=log.properties -jar DialogServer.jar $1